/*
 * @Author: mypx
 * @Date: 2025-10-15 15:32:55
 * @LastEditTime: 2025-10-15 16:35:56
 * @LastEditors: mypx mypx_coder@163.com
 * @Description: 
 */
#ifndef __BSP_TEMPER_SAMPLING_H__
#define __BSP_TEMPER_SAMPLING_H__
#include <stdbool.h>
#include <stdint.h>

void bsp_temper_sampling_init(void);

void bsp_ad7793_spi_transfer(uint8_t *tx_buf, uint8_t *rx_buf, uint16_t len);

void bsp_ad7793_spi_write(uint8_t cmd, uint8_t *data, uint16_t len);

void bsp_ad7793_spi_read(uint8_t cmd, uint8_t *rx_buf, uint16_t len);

void bsp_ad7793_gpio_set(uint8_t pin, bool state);

bool bsp_ad7793_gpio_get(uint8_t pin);

void bsp_ad7793_delay_ms(uint16_t ms);

#endif